﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using RenovationWorkDataModels.Enums;
using RenovationWorkDataModels.Models;

namespace RenovationWorkContracts.BindingModels
{
    public class OrderBindingModel : IOrderModel
    {
        public string PackageName { get; set; }
        public int PackageId { get; set; }
        public int Id { get; set; }
        public int Count { get; set; }
        public double Sum { get; set; }
        public OrderStatus Status { get; set; } = OrderStatus.Неизвестен;
        public DateTime DateCreate { get; set; } = DateTime.Now;
        public DateTime? DateImplement { get; set; }
    }
}
