﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using RenovationWorkDataModels.Enums;
using RenovationWorkDataModels.Models;
using System.ComponentModel;

namespace RenovationWorkContracts.ViewModels
{
    public class OrderViewModel : IOrderModel
    {
        public int PackageId { get; set; }

        [DisplayName("Номер")]
        public int Id { get; set; }
        
        [DisplayName("Изделие")]
        public string PackageName { get; set; } = string.Empty;
        [DisplayName("Количество")]
        public int Count { get; set; }
        [DisplayName("Сумма")]
        public double Sum { get; set; }
        [DisplayName("Статус")]
        public OrderStatus Status { get; set; } = OrderStatus.Неизвестен;
        [DisplayName("Дата создания")]
        public DateTime DateCreate { get; set; } = DateTime.Now;
        [DisplayName("Дата выполнения")]
        public DateTime? DateImplement { get; set; }

    }
}
