﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

using RenovationWorkDataModels.Enums;

namespace RenovationWorkDataModels.Models
{
    public interface IOrderModel : IId
    {
        string PackageName { get; }
        int PackageId { get; }
        int Count { get; }
        double Sum { get; }
        OrderStatus Status { get; }
        DateTime DateCreate { get; }
        DateTime? DateImplement { get; }

    }
}
